%define name	getty_ps
%define version	2.0.7j
%define release	16mdk

Summary:	The getty and uugetty programs.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Distributable - Copyright 1989,1990 by Paul Sutcliffe Jr.
Group: 		System/Base
URL:            ftp://tsx-11.mit.edu/pub/linux/sources/sbin/
BuildRequires:	libtermcap-devel
Source:		ftp://tsx-11.mit.edu/pub/linux/sources/sbin/getty_ps-2.0.7j.tar.bz2
Patch0:		getty_ps-2.0.7j-make.patch.bz2
Patch1:		getty_ps-2.0.7h-jpm.patch.bz2
Patch2:		getty_ps-2.0.7h-pipe.patch.bz2
Patch3:		getty_ps-2.0.7j-glibc.patch.bz2
Patch4:		getty_ps-2.0.7j-signal.patch.bz2
Patch5:		getty_ps-2.0.7j-6.0.patch.bz2
# (fg) 20000721 As its name says
Patch6:		getty_ps-BM.patch.bz2
# tmpfile security fix
Patch7:		getty_ps-2.0.7j-tmpfile.patch.bz2
Buildroot: 	%{_tmppath}/%{name}-root

%description
The getty_ps package contains the getty and uugetty programs, basic
programs for accomplishing the login process on a Mandrake Linux system.
Getty and uugetty are used to accept logins on the console or a terminal.
Getty is invoked by the init process to open tty lines and set their modes,
to print the login prompt and get the user's name, and to initiate a login
process for the user.  Uugetty works just like getty, except that uugetty
creates and uses lock files to prevent two or more processes from
conflicting in their use of a tty line.  Getty and uugetty can also handle
answer a modem for dialup connections, but mgetty is recommended for that
purpose.

%prep
%setup -q
%patch0 -p1 -b .make
%patch1 -p1 -b .jpm
%patch2 -p1 -b .pipe
%patch3 -p1 -b .noglibc
%patch4 -p1 -b .signal
%patch5 -p1 -b .6.0
%patch6 -p1
%patch7 -p1

%build
make clean
RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %make

%install
mkdir -p $RPM_BUILD_ROOT/{sbin,%{_mandir}/man{1,5},%{_sysconfdir},var/log}
TOPDIR=$RPM_BUILD_ROOT make install

install -m 644 Examples/gettydefs.high-speed $RPM_BUILD_ROOT/%{_sysconfdir}/gettydefs

( cd $RPM_BUILD_ROOT
  chmod 755 ./sbin/getty ./sbin/uugetty
  cd $RPM_BUILD_ROOT/%{_mandir}/man1 && ln getty.1 uugetty.1
  #touch ./var/log/getty.log
)
# for doc perm.. pretty ugly but attr doc does not work..
find -type f | xargs chmod 0644
chmod 0755 Examples
chmod 0755 Examples/default

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ $1 = 0 ]; then
  %__rm -f /var/log/getty.log
fi

%files
%defattr(-,root,root)
%doc Examples ANNOUNCE README.linux README.2.0.7j README.hi-speed
%config(noreplace) /etc/gettydefs
/sbin/getty
/sbin/uugetty
%{_mandir}/man*/*
#%ghost /var/log/getty.log

%changelog
* Mon Dec  2 2002 Juan Quintela <quintela@mandrakesoft.com> 2.0.7j-16mdk
- add URL tag.
- recompile.

* Fri Oct 05 2001 Yves Duret <yduret@mandrakesoft.com> 2.0.7j-15mdk
- fix Mandrake Linux name
- s@copyright@license@
- fix really lots of rpmlint warning/error.
- bzipped patch

* Wed Jan 10 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.0.7j-14mdk
- security fix for tmpfile vulnerability in function makelock

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.7j-13mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Francis Galiegue <fg@mandrakesoft.com> 2.0.7j-12mdk
- BM
- /etc/gettydefs is %config(noreplace)

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 2.0.7j-11mdk
- Rebuilt on kenobi


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 2.0.7j-10mdk
- Changed group to match those of 7.1
- Minor spec file changes
- Let spec helper do its job
- Use links, not symlinks

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch from RedHat 6.0.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group name, ran thru system

* Thu Dec 17 1998 Michael Maher <mike@redhat.com> 
- rebuilt for 6.0 
- added patch to remove STRDUP

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- rebuilt to include doco.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 26 1997 Erik Troan <ewt@redhat.com>
- Ported to glibc (I don't know where the last glibc package came from)
- Rebuilt because it was last built against some broken SPARC headers. 
